package com.zayac.admin.system.model.entity;

import java.io.Serial;
import java.time.LocalDateTime;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableName;

import top.continew.starter.extension.crud.model.entity.BaseDO;

/**
 * 平台实体
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Data
@TableName("sys_platform")
public class PlatformDO extends BaseDO {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 平台ID
     */
    private Integer platformId;

    /**
     * 平台名称
     */
    private String name;

    /**
     * 别称
     */
    private String nickname;

    /**
     * 平台地址
     */
    private String url;

    /**
     * 状态(1启用,2禁用)
     */
    private DisEnableStatusEnum status;

    /**
     * 描述
     */
    private String description;
}