package com.zayac.admin.system.model.query;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import top.continew.starter.data.core.annotation.Query;
import top.continew.starter.data.core.enums.QueryType;

/**
 * 平台查询条件
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Data
@Schema(description = "平台查询条件")
public class PlatformQuery implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 平台ID
     */
    @Schema(description = "平台ID", example = "ky")
    @Query(type = QueryType.EQ)
    private Integer platformId;

    /**
     * 平台名称
     */
    @Schema(description = "平台名称", example = "开云")
    @Query(type = QueryType.LIKE)
    private String name;

    /**
     * 平台别称
     */
    @Schema(description = "平台别称", example = "ky")
    @Query(type = QueryType.LIKE)
    private String nickname;

    /**
     * 平台地址
     */
    @Schema(description = "平台地址", example = "https://www.nvdf9.com:8003")
    @Query(type = QueryType.EQ)
    private String url;


    /**
     * 状态(1启用,2禁用)
     */
    @Schema(description = "状态(1启用,2禁用)", example = "1")
    @Query(type = QueryType.EQ)
    private Integer status;
}