package com.zayac.admin.system.model.resp;

import java.io.Serial;
import java.time.LocalDateTime;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import top.continew.starter.extension.crud.model.resp.BaseResp;

/**
 * 平台信息
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Data
@Schema(description = "平台信息")
public class PlatformResp extends BaseResp {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 平台ID
     */
    @Schema(description = "平台ID")
    private Integer platformId;

    /**
     * 平台名称
     */
    @Schema(description = "平台名称")
    private String name;

    /**
     * 平台别称
     */
    @Schema(description = "平台别称")
    private String nickname;

    /**
     * 平台地址
     */
    @Schema(description = "平台地址")
    private String url;

    /**
     * 状态(1启用,2禁用)
     */
    @Schema(description = "状态（1：启用；2：禁用）", type = "Integer", allowableValues = {"1", "2"}, example = "1")
    private DisEnableStatusEnum status;

    /**
     * 描述
     */
    @Schema(description = "描述")
    private String description;
}